Hent en enkelt tid til blodprøvetagning ud fra dens UUID, inklusive den indlejrede patientprofil. Brug dette endpoint til at tjekke tidens status, bekræfte bookingdetaljer eller hente de tilknyttede profildata.Kræver scopet appointments_view eller appointments_schedule.
Forespørgsel
Stiparametre
string
påkrævet
Unikt ID (UUID) for den tid, der skal hentes.
Svar
Ved succes returnerer API’et 200 OK med tiden og dens indlejrede profil.
string
påkrævet
Unikt id for tiden (UUID).
string
påkrævet
UUID for den profil, denne tid tilhører.
string
UUID for det teststed, hvor blodprøvetagningen finder sted.
string
Planlagt dato og tidspunkt for tiden i UTC (ISO 8601 med Z-suffiks, f.eks.
2026-05-15T10:30:00Z). Kan være null.
string
påkrævet
Aktuel status for tiden. En af pending, confirmed, blood_drawn eller cancelled.
Fremdriften i laboratorieresultaterne udledes fra Hent resultater;
mere detaljeret forsendelsesfremdrift fra hvert element i det indlejrede shipments-array (se nedenfor)
videre til Hent forsendelse.
string
Fritekstårsag registreret ved aflysning af tiden (f.eks. udeblivelse, sen aflysning,
‘Failed. Repeat required’). null, medmindre status er cancelled.
string[]
påkrævet
Adresser med små bogstaver, som hver modtager én e-mail, når alle laboratorieresultater er endelige. Tom, når funktionen er slået fra. Se
E-mails når resultater er klar.
string
påkrævet
Hvordan blodet tages: capillary (fingerspids eller overarm i mikrorør) eller venous (fra venen
i prøveglas). Det er den metode, tiden angiver, ellers default_draw_method for dens
lokation. Efter blodprøvetagningen er det den metode, der blev brugt.
string
påkrævet
ISO 8601-tidsstempel for, hvornår tiden blev oprettet.
string
ISO 8601-tidsstempel for den seneste opdatering. Kan være null.
object
påkrævet
Den patientprofil, der er knyttet til denne tid.
Vis Profil
string
Unikt id for profilen (UUID).
string
Profil-handle eller brugernavn. Kan være null.
string
Fornavn. Kan være null.
string
Efternavn. Kan være null.
string
E-mailadresse. Kan være null.
string
Telefonnummer i E.164-format. Kan være null.
integer
Biologisk køn efter ISO/IEC 5218. Kan være null.
string
Fødselsdato i formatet YYYY-MM-DD. Kan være null.
number
Højde i centimeter. Kan være null.
number
Vægt i kilogram. Kan være null.
string
Foretrukket sprog: en af de 32 koder i Opret profil.
boolean
Om denne profil modtager transaktionelle (programmatiske) e-mails. Kan være null.
string
ISO 8601-tidsstempel for, hvornår profilen blev oprettet.
string
ISO 8601-tidsstempel for den seneste opdatering af profilen. Kan være null.
AppointmentPanel[]
påkrævet
Paneler, der i øjeblikket er tilknyttet denne tid. Inkluderer ikke annullerede tilknytninger. Slå
paneldetaljer (navn, biomarkører) op via Vis paneler.
ISO 8601-tidsstempel for, hvornår biomarkøren første gang blev knyttet til denne tid.
AppointmentShipmentLink[]
påkrævet
Forsendelser knyttet til denne tid, ældste tilknytning først. Tomt array, når ingen forsendelser er
tilknyttet. Slå hvert id op via Hent forsendelse for at få det
fulde payload for forsendelsen (status, sporingsnummer, statusopdateringer osv.).
ISO 8601-tidsstempel for, hvornår forsendelsen første gang blev knyttet til denne tid.
string[]
påkrævet
Laboratoriekoder (stregkoder på prøveglas) registreret for denne tid i scanningsrækkefølge. Tom, indtil blodprøvetagningen
er bekræftet. En venøs blodprøvetagning har én kode trykt på hvert prøveglas; en kapillær blodprøvetagning har én
kode pr. mikrorør. Resultater og dokumenter i Hent resultater henviser
til disse koder via lab_code.
Gentagne kald
Aniva gemmer svaret fra dette endpoint i 15 minutter for hver API-nøgle. Et gentaget kald inden for
dette tidsrum får det gemte svar, så længe tiden er uændret. Efter en ændring får du et nyt
svar. Headerne Cache-Status og Age viser, at svaret er
gemt, og hvor gammelt det er.For at få besked om en ændring med det samme kan du abonnere på webhook-hændelserne appointment.created, appointment.rescheduled og hændelsen for hver status, for eksempel appointment.confirmed.
Se Gentagne læsninger.
Fejlsvar
Status
Beskrivelse
400
Ugyldigt ID-format — den angivne værdi er ikke en gyldig UUID.
403
Adgang nægtet — din API-nøgle har ikke adgang til denne handling.
404
Tiden blev ikke fundet.
500
Intern serverfejl.
curl --request GET \ --url https://anivahealth.com/api/v1/appointments/c9f3e2a1-7d6b-4c5e-b3a2-1f0e9d8c7b6a \ --header 'x-api-key: YOUR_API_KEY'
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"Aniva API","description":"REST API for lab testing in Germany and the EU: book blood draws at pharmacies and practices, ship home test kits, and get lab results.","colors":{"primary":"#e76c2b","light":"#e76c2b","dark":"#e76c2b"},"logo":{"light":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.svg?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=07e4ee4fd57b9ccbe6809fe000f33fdd","dark":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.svg?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=07e4ee4fd57b9ccbe6809fe000f33fdd"},"favicon":{"light":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.png?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=37c01b349855726e2009a8d5aca4487b","dark":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.png?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=37c01b349855726e2009a8d5aca4487b"},"api":{"openapi":"https://anivahealth.com/api/v1/openapi.json","mdx":{"auth":{"method":"key","name":"x-api-key"}}},"navbar":{"links":[{"href":"/changelog","label":"Changelog"},{"href":"/status","label":"Status"}]},"footer":{"links":[{"items":[{"label":"Aniva Diagnostics","href":"https://anivahealth.com/diagnostics"},{"label":"hello@anivahealth.com","href":"mailto:hello@anivahealth.com"}]}]},"seo":{"metatags":{"og:locale":"en_US","og:site_name":"Aniva Partner API","keywords":"blood test API, lab testing API, home test kit API, lab results API, biomarker API, pharmacy blood test, Germany, EU"},"indexing":"navigable"},"fonts":{"heading":{"family":"Switzer","weight":600,"source":"https://anivahealth.com/fonts/Switzer-Variable.woff2","format":"woff2"},"body":{"family":"Switzer","source":"https://anivahealth.com/fonts/Switzer-Variable.woff2","format":"woff2"}},"styling":{"latex":false},"contextual":{"options":["copy","chatgpt","claude"],"display":"header"},"navigation":{"languages":[{"language":"en","href":""},{"language":"de","navbar":{"links":[{"href":"/de/changelog","label":"Changelog"},{"href":"/de/status","label":"Status"}]},"href":"de"},{"language":"ca","navbar":{"links":[{"href":"/ca/changelog","label":"Registre de canvis"},{"href":"/ca/status","label":"Estat"}]},"href":"ca"},{"language":"cs","navbar":{"links":[{"href":"/cs/changelog","label":"Seznam změn"},{"href":"/cs/status","label":"Stav"}]},"href":"cs"},{"language":"da","navbar":{"links":[{"href":"/da/changelog","label":"Ændringslog"},{"href":"/da/status","label":"Status"}]},"href":"da"},{"language":"es","navbar":{"links":[{"href":"/es/changelog","label":"Registro de cambios"},{"href":"/es/status","label":"Estado"}]},"href":"es"},{"language":"fi","navbar":{"links":[{"href":"/fi/changelog","label":"Muutosloki"},{"href":"/fi/status","label":"Tila"}]},"href":"fi"},{"language":"fr","navbar":{"links":[{"href":"/fr/changelog","label":"Journal des modifications"},{"href":"/fr/status","label":"Statut"}]},"href":"fr"},{"language":"hu","navbar":{"links":[{"href":"/hu/changelog","label":"Változásnapló"},{"href":"/hu/status","label":"Állapot"}]},"href":"hu"},{"language":"it","navbar":{"links":[{"href":"/it/changelog","label":"Changelog"},{"href":"/it/status","label":"Stato"}]},"href":"it"},{"language":"lv","navbar":{"links":[{"href":"/lv/changelog","label":"Izmaiņu žurnāls"},{"href":"/lv/status","label":"Statuss"}]},"href":"lv"},{"language":"nl","navbar":{"links":[{"href":"/nl/changelog","label":"Changelog"},{"href":"/nl/status","label":"Status"}]},"href":"nl"},{"language":"no","navbar":{"links":[{"href":"/no/changelog","label":"Endringslogg"},{"href":"/no/status","label":"Status"}]},"href":"no"},{"language":"pl","navbar":{"links":[{"href":"/pl/changelog","label":"Dziennik zmian"},{"href":"/pl/status","label":"Status"}]},"href":"pl"},{"language":"pt","navbar":{"links":[{"href":"/pt/changelog","label":"Registo de alterações"},{"href":"/pt/status","label":"Estado"}]},"href":"pt"},{"language":"ro","navbar":{"links":[{"href":"/ro/changelog","label":"Jurnal de modificări"},{"href":"/ro/status","label":"Stare"}]},"href":"ro"},{"language":"ru","navbar":{"links":[{"href":"/ru/changelog","label":"История изменений"},{"href":"/ru/status","label":"Статус"}]},"href":"ru"},{"language":"sv","navbar":{"links":[{"href":"/sv/changelog","label":"Ändringslogg"},{"href":"/sv/status","label":"Status"}]},"href":"sv"},{"language":"tr","navbar":{"links":[{"href":"/tr/changelog","label":"Değişiklik günlüğü"},{"href":"/tr/status","label":"Durum"}]},"href":"tr"},{"language":"uk","navbar":{"links":[{"href":"/uk/changelog","label":"Історія змін"},{"href":"/uk/status","label":"Статус"}]},"href":"uk"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"anivahealth","hasAudioNarration":false,"actualSubdomain":"anivahealth","customDomains":["docs.anivahealth.com"],"gitSource":{"type":"github","owner":"anivahealth","repo":"web","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6b0344de3ca2a55c0067aa73","clientVersion":"0.0.4271","searchFilterCounts":[{"language":"en","tag":"API Reference","count":61},{"language":"ca","tag":"Referència de l'API","count":61},{"language":"cs","tag":"Reference API","count":61},{"language":"da","tag":"API-reference","count":61},{"language":"de","tag":"API-Referenz","count":61},{"language":"es","tag":"Referencia de la API","count":61},{"language":"fi","tag":"API-viite","count":61},{"language":"fr","tag":"Référence API","count":61},{"language":"hu","tag":"API-referencia","count":61},{"language":"it","tag":"Riferimento API","count":61},{"language":"lv","tag":"API uzziņa","count":61},{"language":"nl","tag":"API-referentie","count":61},{"language":"no","tag":"API-referanse","count":61},{"language":"pl","tag":"Dokumentacja API","count":61},{"language":"pt","tag":"Referência da API","count":61},{"language":"ro","tag":"Referință API","count":61},{"language":"ru","tag":"Справочник API","count":61},{"language":"sv","tag":"API-referens","count":61},{"language":"tr","tag":"API referansı","count":61},{"language":"uk","tag":"Довідник API","count":61},{"language":"en","tag":"Documentation","count":18},{"language":"ca","tag":"Documentació","count":18},{"language":"cs","tag":"Dokumentace","count":18},{"language":"da","tag":"Dokumentation","count":18},{"language":"de","tag":"Dokumentation","count":18},{"language":"es","tag":"Documentación","count":18},{"language":"fi","tag":"Dokumentaatio","count":18},{"language":"fr","tag":"Documentation","count":18},{"language":"hu","tag":"Dokumentáció","count":18},{"language":"it","tag":"Documentazione","count":18},{"language":"lv","tag":"Dokumentācija","count":18},{"language":"nl","tag":"Documentatie","count":18},{"language":"no","tag":"Dokumentasjon","count":18},{"language":"pl","tag":"Dokumentacja","count":18},{"language":"pt","tag":"Documentação","count":18},{"language":"ro","tag":"Documentație","count":18},{"language":"ru","tag":"Документация","count":18},{"language":"sv","tag":"Dokumentation","count":18},{"language":"tr","tag":"Dokümantasyon","count":18},{"language":"uk","tag":"Документація","count":18},{"language":"en","tag":"Appointments","count":13},{"language":"ca","tag":"Cites","count":13},{"language":"cs","tag":"Termíny","count":13},{"language":"da","tag":"Tider","count":13},{"language":"de","tag":"Termine","count":13},{"language":"es","tag":"Citas","count":13},{"language":"fi","tag":"Ajanvaraukset","count":13},{"language":"fr","tag":"Rendez-vous","count":13},{"language":"hu","tag":"Időpontok","count":13},{"language":"it","tag":"Appuntamenti","count":13},{"language":"lv","tag":"Pieraksti","count":13},{"language":"nl","tag":"Afspraken","count":13},{"language":"no","tag":"Timer","count":13},{"language":"pl","tag":"Wizyty","count":13},{"language":"pt","tag":"Marcações","count":13},{"language":"ro","tag":"Programări","count":13},{"language":"ru","tag":"Записи","count":13},{"language":"sv","tag":"Bokningar","count":13},{"language":"tr","tag":"Randevular","count":13},{"language":"uk","tag":"Записи","count":13},{"language":"en","tag":"Home Kit Orders","count":10},{"language":"ca","tag":"Comandes de kits de prova a casa","count":10},{"language":"cs","tag":"Objednávky domácích testovacích sad","count":10},{"language":"da","tag":"Ordrer på hjemmetestkit","count":10},{"language":"de","tag":"Heimtest-Kit-Bestellungen","count":10},{"language":"es","tag":"Pedidos de kits de prueba en casa","count":10},{"language":"fi","tag":"Kotitestipakkausten tilaukset","count":10},{"language":"fr","tag":"Commandes de kits à domicile","count":10},{"language":"hu","tag":"Otthoni tesztkészlet-rendelések","count":10},{"language":"it","tag":"Ordini di kit domiciliari","count":10},{"language":"lv","tag":"Mājas testa komplektu pasūtījumi","count":10},{"language":"nl","tag":"Thuistestkitbestellingen","count":10},{"language":"no","tag":"Bestillinger av hjemmetestsett","count":10},{"language":"pl","tag":"Zamówienia domowych zestawów testowych","count":10},{"language":"pt","tag":"Encomendas de kits de teste em casa","count":10},{"language":"ro","tag":"Comenzi de kituri de testare la domiciliu","count":10},{"language":"ru","tag":"Заказы наборов для домашнего теста","count":10},{"language":"sv","tag":"Beställningar av hemtestkit","count":10},{"language":"tr","tag":"Evde test kiti siparişleri","count":10},{"language":"uk","tag":"Замовлення наборів для домашнього тесту","count":10},{"language":"en","tag":"Webhooks","count":9},{"language":"en","tag":"Core Concepts","count":9},{"language":"ca","tag":"Webhooks","count":9},{"language":"ca","tag":"Conceptes clau","count":9},{"language":"cs","tag":"Webhooky","count":9},{"language":"cs","tag":"Základní koncepty","count":9},{"language":"da","tag":"Webhooks","count":9},{"language":"da","tag":"Kernebegreber","count":9},{"language":"de","tag":"Webhooks","count":9},{"language":"de","tag":"Grundkonzepte","count":9},{"language":"es","tag":"Webhooks","count":9},{"language":"es","tag":"Conceptos clave","count":9},{"language":"fi","tag":"Webhookit","count":9},{"language":"fi","tag":"Peruskäsitteet","count":9},{"language":"fr","tag":"Webhooks","count":9},{"language":"fr","tag":"Concepts clés","count":9},{"language":"hu","tag":"Webhookok","count":9},{"language":"hu","tag":"Alapfogalmak","count":9},{"language":"it","tag":"Webhook","count":9},{"language":"it","tag":"Concetti di base","count":9},{"language":"lv","tag":"Tīmekļa aizķeres","count":9},{"language":"lv","tag":"Pamatjēdzieni","count":9},{"language":"nl","tag":"Webhooks","count":9},{"language":"nl","tag":"Kernconcepten","count":9},{"language":"no","tag":"Webhooks","count":9},{"language":"no","tag":"Kjernekonsepter","count":9},{"language":"pl","tag":"Webhooki","count":9},{"language":"pl","tag":"Podstawowe pojęcia","count":9},{"language":"pt","tag":"Webhooks","count":9},{"language":"pt","tag":"Conceitos principais","count":9},{"language":"ro","tag":"Webhook-uri","count":9},{"language":"ro","tag":"Concepte de bază","count":9},{"language":"ru","tag":"Вебхуки","count":9},{"language":"ru","tag":"Основные понятия","count":9},{"language":"sv","tag":"Webhooks","count":9},{"language":"sv","tag":"Grundkoncept","count":9},{"language":"tr","tag":"Webhook'lar","count":9},{"language":"tr","tag":"Temel kavramlar","count":9},{"language":"uk","tag":"Вебхуки","count":9},{"language":"uk","tag":"Основні поняття","count":9},{"language":"en","tag":"Shipments","count":8},{"language":"ca","tag":"Enviaments","count":8},{"language":"cs","tag":"Zásilky","count":8},{"language":"da","tag":"Forsendelser","count":8},{"language":"de","tag":"Sendungen","count":8},{"language":"es","tag":"Envíos","count":8},{"language":"fi","tag":"Lähetykset","count":8},{"language":"fr","tag":"Expéditions","count":8},{"language":"hu","tag":"Szállítmányok","count":8},{"language":"it","tag":"Spedizioni","count":8},{"language":"lv","tag":"Sūtījumi","count":8},{"language":"nl","tag":"Zendingen","count":8},{"language":"no","tag":"Forsendelser","count":8},{"language":"pl","tag":"Przesyłki","count":8},{"language":"pt","tag":"Envios","count":8},{"language":"ro","tag":"Expedieri","count":8},{"language":"ru","tag":"Отправления","count":8},{"language":"sv","tag":"Försändelser","count":8},{"language":"tr","tag":"Gönderiler","count":8},{"language":"uk","tag":"Відправлення","count":8},{"language":"en","tag":"Get Started","count":6},{"language":"ca","tag":"Primers passos","count":6},{"language":"cs","tag":"Začínáme","count":6},{"language":"da","tag":"Kom i gang","count":6},{"language":"de","tag":"Erste Schritte","count":6},{"language":"es","tag":"Primeros pasos","count":6},{"language":"fi","tag":"Aloitus","count":6},{"language":"fr","tag":"Démarrer","count":6},{"language":"hu","tag":"Első lépések","count":6},{"language":"it","tag":"Per iniziare","count":6},{"language":"lv","tag":"Sākt darbu","count":6},{"language":"nl","tag":"Aan de slag","count":6},{"language":"no","tag":"Kom i gang","count":6},{"language":"pl","tag":"Pierwsze kroki","count":6},{"language":"pt","tag":"Começar","count":6},{"language":"ro","tag":"Primii pași","count":6},{"language":"ru","tag":"Начало работы","count":6},{"language":"sv","tag":"Kom igång","count":6},{"language":"tr","tag":"Başlangıç","count":6},{"language":"uk","tag":"Початок роботи","count":6},{"language":"en","tag":"Locations","count":5},{"language":"en","tag":"Profiles","count":5},{"language":"ca","tag":"Ubicacions","count":5},{"language":"ca","tag":"Perfils","count":5},{"language":"cs","tag":"Lokality","count":5},{"language":"cs","tag":"Profily","count":5},{"language":"da","tag":"Lokationer","count":5},{"language":"da","tag":"Profiler","count":5},{"language":"de","tag":"Standorte","count":5},{"language":"de","tag":"Profile","count":5},{"language":"es","tag":"Ubicaciones","count":5},{"language":"es","tag":"Perfiles","count":5},{"language":"fi","tag":"Toimipisteet","count":5},{"language":"fi","tag":"Profiilit","count":5},{"language":"fr","tag":"Lieux","count":5},{"language":"fr","tag":"Profils","count":5},{"language":"hu","tag":"Helyszínek","count":5},{"language":"hu","tag":"Profilok","count":5},{"language":"it","tag":"Sedi","count":5},{"language":"it","tag":"Profili","count":5},{"language":"lv","tag":"Atrašanās vietas","count":5},{"language":"lv","tag":"Profili","count":5},{"language":"nl","tag":"Locaties","count":5},{"language":"nl","tag":"Profielen","count":5},{"language":"no","tag":"Steder","count":5},{"language":"no","tag":"Profiler","count":5},{"language":"pl","tag":"Lokalizacje","count":5},{"language":"pl","tag":"Profile","count":5},{"language":"pt","tag":"Locais","count":5},{"language":"pt","tag":"Perfis","count":5},{"language":"ro","tag":"Locații","count":5},{"language":"ro","tag":"Profiluri","count":5},{"language":"ru","tag":"Локации","count":5},{"language":"ru","tag":"Профили","count":5},{"language":"sv","tag":"Platser","count":5},{"language":"sv","tag":"Profiler","count":5},{"language":"tr","tag":"Konumlar","count":5},{"language":"tr","tag":"Profiller","count":5},{"language":"uk","tag":"Локації","count":5},{"language":"uk","tag":"Профілі","count":5}],"searchSettings":{"showContentSnippets":true,"maxResults":8}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"[data-component-part=\"update-label\"]{background:transparent;color:rgb(107 114 128);padding-left:0.25rem;padding-right:0;font-weight:400}.dark [data-component-part=\"update-label\"]{color:rgb(156 163 175)}[data-component-part=\"update-tag-list\"]{margin-top:0.25rem;column-gap:0.25rem}[data-component-part=\"update-tag\"]:not(:last-child)::after{content:'·';margin-left:0.25rem}@media (max-width: 1023px){.update-container>div:first-child{flex-direction:row;flex-wrap:wrap;align-items:center;column-gap:0.75rem}.update-container [data-component-part=\"update-tag-list\"]{margin-top:0}}@media (min-width: 640px){[data-component-part=\"update-content\"] img{max-width:85%}}[data-component-part=\"update-content\"] video{cursor:zoom-in}.video-zoom{position:fixed;inset:0;z-index:100;display:flex;align-items:center;justify-content:center;padding:2rem;background:rgb(255 255 255 / 0.9);cursor:zoom-out}.dark .video-zoom{background:rgb(0 0 0 / 0.9)}.video-zoom video{width:100%;max-height:100%;object-fit:contain}.video-zoom-close{position:absolute;top:calc(0.75rem + env(safe-area-inset-top, 0px));right:0.75rem;display:inline-flex;align-items:center;justify-content:center;width:2.25rem;height:2.25rem;border:1px solid rgb(0 0 0 / 0.2);border-radius:9999px;background:rgb(255 255 255 / 0.55);color:rgb(23 23 23);box-shadow:0 0.5px 1px rgb(0 0 0 / 0.12),\n 0 1px 2px rgb(0 0 0 / 0.08),\n inset 0 0.5px 0 rgb(255 255 255 / 0.65);backdrop-filter:blur(40px) saturate(1.5);cursor:pointer}.video-zoom-close:focus{outline:none}.video-zoom-close:focus-visible{outline:2px solid rgb(0 0 0 / 0.25)}.dark .video-zoom-close{border-color:rgb(255 255 255 / 0.25);background:rgb(23 23 23 / 0.45);color:white;box-shadow:0 0 0 0.5px #000,\n 0 0.5px 1px rgb(0 0 0 / 0.45),\n 0 1px 2px rgb(0 0 0 / 0.35),\n inset 0 0.5px 0 rgb(255 255 255 / 0.14)}[data-component-part=\"update-content\"] h2>.absolute{display:none}#content{margin-bottom:2rem}[data-assistant-bar].invisible{display:none}#footer>div{flex-direction:row;flex-wrap:wrap;align-items:center;gap:1rem 2rem;padding-top:5rem;padding-bottom:3rem}#footer>div>div:first-child{flex:1;flex-direction:row;align-items:center;min-height:0}#footer>div>div:first-child>div:last-child{display:flex;justify-content:flex-end}#footer>div>div:first-child>div:last-child>div{align-items:flex-end}#footer>div>div:first-child>div:last-child>div>div{flex-direction:row;gap:1.5rem}#footer>div>div:first-child a{max-width:none}#footer>div>.h-px{display:none}#footer>div>div:last-child{gap:1.5rem}"}]}
{"page":{"pagePath":"da/api/appointments/get-appointment","slug":"/da/api/appointments/get-appointment","pageMetadata":{"title":"Hent tid","description":"Hent en tid til blodprøvetagning via ID","api":"GET https://anivahealth.com/api/v1/appointments/{id}","href":"/da/api/appointments/get-appointment"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Hent en tid til blodprøvetagning via ID\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField,Table}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Hent en enkelt tid til blodprøvetagning ud fra dens UUID, inklusive den indlejrede patientprofil. Brug dette endpoint til at tjekke tidens status, bekræfte bookingdetaljer eller hente de tilknyttede profildata.`}),`\n`,_jsxs(_components.p,{children:[`Kræver scopet `,_jsx(_components.code,{children:`appointments_view`}),` eller `,_jsx(_components.code,{children:`appointments_schedule`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`forespørgsel`,children:`Forespørgsel`}),`\n`,_jsx(Heading,{level:`3`,id:`stiparametre`,children:`Stiparametre`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`Unikt ID (UUID) for den tid, der skal hentes.`})}),`\n`,_jsx(Heading,{level:`2`,id:`svar`,children:`Svar`}),`\n`,_jsxs(_components.p,{children:[`Ved succes returnerer API’et `,_jsx(_components.code,{children:`200 OK`}),` med tiden og dens indlejrede profil.`]}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,required:true,id:`param-id-1`,children:_jsx(_components.p,{children:`Unikt id for tiden (UUID).`})}),`\n`,_jsx(ResponseField,{name:`profile_id`,type:`string`,required:true,id:`param-profile-id`,children:_jsx(_components.p,{children:`UUID for den profil, denne tid tilhører.`})}),`\n`,_jsx(ResponseField,{name:`location_id`,type:`string`,id:`param-location-id`,children:_jsx(_components.p,{children:`UUID for det teststed, hvor blodprøvetagningen finder sted.`})}),`\n`,_jsx(ResponseField,{name:`scheduled_at`,type:`string`,id:`param-scheduled-at`,children:_jsxs(_components.p,{children:[`Planlagt dato og tidspunkt for tiden i UTC (ISO 8601 med `,_jsx(_components.code,{children:`Z`}),`-suffiks, f.eks.\n`,_jsx(_components.code,{children:`2026-05-15T10:30:00Z`}),`). Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,required:true,id:`param-status`,children:_jsxs(_components.p,{children:[`Aktuel status for tiden. En af `,_jsx(_components.code,{children:`pending`}),`, `,_jsx(_components.code,{children:`confirmed`}),`, `,_jsx(_components.code,{children:`blood_drawn`}),` eller `,_jsx(_components.code,{children:`cancelled`}),`.\nFremdriften i laboratorieresultaterne udledes fra `,_jsx(_components.a,{href:`/da/api/appointments/get-results`,children:`Hent resultater`}),`;\nmere detaljeret forsendelsesfremdrift fra hvert element i det indlejrede `,_jsx(_components.code,{children:`shipments`}),`-array (se nedenfor)\nvidere til `,_jsx(_components.a,{href:`/da/api/shipments/get-shipment`,children:`Hent forsendelse`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`cancellation_reason`,type:`string`,id:`param-cancellation-reason`,children:_jsxs(_components.p,{children:[`Fritekstårsag registreret ved aflysning af tiden (f.eks. udeblivelse, sen aflysning,\n‘Failed. Repeat required’). `,_jsx(_components.code,{children:`null`}),`, medmindre `,_jsx(_components.code,{children:`status`}),` er `,_jsx(_components.code,{children:`cancelled`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`results_ready_emails`,type:`string[]`,required:true,id:`param-results-ready-emails`,children:_jsxs(_components.p,{children:[`Adresser med små bogstaver, som hver modtager én e-mail, når alle laboratorieresultater er endelige. Tom, når funktionen er slået fra. Se\n`,_jsx(_components.a,{href:`/da/concepts/results#e-mails-nar-resultater-er-klar`,children:`E-mails når resultater er klar`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`draw_method`,type:`string`,required:true,id:`param-draw-method`,children:_jsxs(_components.p,{children:[`Hvordan blodet tages: `,_jsx(_components.code,{children:`capillary`}),` (fingerspids eller overarm i mikrorør) eller `,_jsx(_components.code,{children:`venous`}),` (fra venen\ni prøveglas). Det er den metode, tiden angiver, ellers `,_jsx(_components.code,{children:`default_draw_method`}),` for dens\n`,_jsx(_components.a,{href:`/da/concepts/locations`,children:`lokation`}),`. Efter blodprøvetagningen er det den metode, der blev brugt.`]})}),`\n`,_jsx(ResponseField,{name:`created_at`,type:`string`,required:true,id:`param-created-at`,children:_jsx(_components.p,{children:`ISO 8601-tidsstempel for, hvornår tiden blev oprettet.`})}),`\n`,_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at`,children:_jsxs(_components.p,{children:[`ISO 8601-tidsstempel for den seneste opdatering. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),`\n`,_jsxs(ResponseField,{name:`profile`,type:`object`,required:true,id:`param-profile`,children:[_jsx(_components.p,{children:`Den patientprofil, der er knyttet til denne tid.`}),_jsxs(Expandable,{title:`Profil`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-2`,children:_jsx(_components.p,{children:`Unikt id for profilen (UUID).`})}),_jsx(ResponseField,{name:`handle`,type:`string`,id:`param-handle`,children:_jsxs(_components.p,{children:[`Profil-handle eller brugernavn. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`first_name`,type:`string`,id:`param-first-name`,children:_jsxs(_components.p,{children:[`Fornavn. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`last_name`,type:`string`,id:`param-last-name`,children:_jsxs(_components.p,{children:[`Efternavn. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`email`,type:`string`,id:`param-email`,children:_jsxs(_components.p,{children:[`E-mailadresse. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`phone`,type:`string`,id:`param-phone`,children:_jsxs(_components.p,{children:[`Telefonnummer i E.164-format. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`sex`,type:`integer`,id:`param-sex`,children:_jsxs(_components.p,{children:[`Biologisk køn efter ISO/IEC 5218. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`date_of_birth`,type:`string`,id:`param-date-of-birth`,children:_jsxs(_components.p,{children:[`Fødselsdato i formatet `,_jsx(_components.code,{children:`YYYY-MM-DD`}),`. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`height`,type:`number`,id:`param-height`,children:_jsxs(_components.p,{children:[`Højde i centimeter. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`weight`,type:`number`,id:`param-weight`,children:_jsxs(_components.p,{children:[`Vægt i kilogram. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`language`,type:`string`,id:`param-language`,children:_jsxs(_components.p,{children:[`Foretrukket sprog: en af de 32 koder i `,_jsx(_components.a,{href:`/da/api/profiles/create-profile`,children:`Opret profil`}),`.`]})}),_jsx(ResponseField,{name:`transactional_emails_enabled`,type:`boolean`,id:`param-transactional-emails-enabled`,children:_jsxs(_components.p,{children:[`Om denne profil modtager transaktionelle (programmatiske) e-mails. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at-1`,children:_jsx(_components.p,{children:`ISO 8601-tidsstempel for, hvornår profilen blev oprettet.`})}),_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at-1`,children:_jsxs(_components.p,{children:[`ISO 8601-tidsstempel for den seneste opdatering af profilen. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})})]})]}),`\n`,_jsxs(ResponseField,{name:`panels`,type:`AppointmentPanel[]`,required:true,id:`param-panels`,children:[_jsxs(_components.p,{children:[`Paneler, der i øjeblikket er tilknyttet denne tid. Inkluderer ikke annullerede tilknytninger. Slå\npaneldetaljer (navn, biomarkører) op via `,_jsx(_components.a,{href:`/da/api/panels/list-panels`,children:`Vis paneler`}),`.`]}),_jsxs(Expandable,{title:`Felter for tilknyttet panel`,children:[_jsx(ResponseField,{name:`panel_id`,type:`string`,id:`param-panel-id`,children:_jsxs(_components.p,{children:[`Panelets UUID — krydsreferer med `,_jsx(_components.a,{href:`/da/api/panels/list-panels`,children:`Vis paneler`}),`.`]})}),_jsx(ResponseField,{name:`added_at`,type:`string`,id:`param-added-at`,children:_jsx(_components.p,{children:`ISO 8601-tidsstempel for, hvornår panelet første gang blev knyttet til denne tid.`})})]})]}),`\n`,_jsxs(ResponseField,{name:`individual_biomarkers`,type:`AppointmentIndividualBiomarker[]`,required:true,id:`param-individual-biomarkers`,children:[_jsxs(_components.p,{children:[`À la carte-biomarkører knyttet til denne tid uden for et panel (se `,_jsx(_components.a,{href:`/da/api/appointments/add-individual-biomarkers`,children:`Tilføj valgfrie\nbiomarkører`}),`). Krydsreferer hvert `,_jsx(_components.code,{children:`biomarker_id`}),`\nmed `,_jsx(_components.a,{href:`/da/api/biomarkers/list-biomarkers`,children:`Vis biomarkører`}),` for visningsdata.`]}),_jsxs(Expandable,{title:`Felter for individuel biomarkør`,children:[_jsx(ResponseField,{name:`biomarker_id`,type:`integer`,id:`param-biomarker-id`,children:_jsxs(_components.p,{children:[`Biomarkør-id — krydsreferer med\n`,_jsx(_components.a,{href:`/da/api/biomarkers/list-biomarkers`,children:`Vis biomarkører`}),`.`]})}),_jsx(ResponseField,{name:`added_at`,type:`string`,id:`param-added-at-1`,children:_jsx(_components.p,{children:`ISO 8601-tidsstempel for, hvornår biomarkøren første gang blev knyttet til denne tid.`})})]})]}),`\n`,_jsxs(ResponseField,{name:`shipments`,type:`AppointmentShipmentLink[]`,required:true,id:`param-shipments`,children:[_jsxs(_components.p,{children:[`Forsendelser knyttet til denne tid, ældste tilknytning først. Tomt array, når ingen forsendelser er\ntilknyttet. Slå hvert `,_jsx(_components.code,{children:`id`}),` op via `,_jsx(_components.a,{href:`/da/api/shipments/get-shipment`,children:`Hent forsendelse`}),` for at få det\nfulde payload for forsendelsen (status, sporingsnummer, statusopdateringer osv.).`]}),_jsxs(Expandable,{title:`Felter for forsendelseslink`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-3`,children:_jsxs(_components.p,{children:[`Forsendelsens reference-id — krydsreferer med\n`,_jsx(_components.a,{href:`/da/api/shipments/get-shipment`,children:`Hent forsendelse`}),`.`]})}),_jsx(ResponseField,{name:`added_at`,type:`string`,id:`param-added-at-2`,children:_jsx(_components.p,{children:`ISO 8601-tidsstempel for, hvornår forsendelsen første gang blev knyttet til denne tid.`})})]})]}),`\n`,_jsx(ResponseField,{name:`lab_codes`,type:`string[]`,required:true,id:`param-lab-codes`,children:_jsxs(_components.p,{children:[`Laboratoriekoder (stregkoder på prøveglas) registreret for denne tid i scanningsrækkefølge. Tom, indtil blodprøvetagningen\ner bekræftet. En venøs blodprøvetagning har én kode trykt på hvert prøveglas; en kapillær blodprøvetagning har én\nkode pr. mikrorør. Resultater og dokumenter i `,_jsx(_components.a,{href:`/da/api/appointments/get-results`,children:`Hent resultater`}),` henviser\ntil disse koder via `,_jsx(_components.code,{children:`lab_code`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`gentagne-kald`,children:`Gentagne kald`}),`\n`,_jsxs(_components.p,{children:[`Aniva gemmer svaret fra dette endpoint i 15 minutter for hver API-nøgle. Et gentaget kald inden for\ndette tidsrum får det gemte svar, så længe tiden er uændret. Efter en ændring får du et nyt\nsvar. Headerne `,_jsx(_components.code,{children:`Cache-Status`}),` og `,_jsx(_components.code,{children:`Age`}),` viser, at svaret er\ngemt, og hvor gammelt det er.`]}),`\n`,_jsxs(_components.p,{children:[`For at få besked om en ændring med det samme kan du abonnere på webhook-hændelserne `,_jsx(_components.code,{children:`appointment.created`}),`, `,_jsx(_components.code,{children:`appointment.rescheduled`}),` og hændelsen for hver status, for eksempel `,_jsx(_components.code,{children:`appointment.confirmed`}),`.\nSe `,_jsx(_components.a,{href:`/da/concepts/webhooks#gentagne-laesninger`,children:`Gentagne læsninger`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`fejlsvar`,children:`Fejlsvar`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Beskrivelse`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsx(_components.td,{children:`Ugyldigt ID-format — den angivne værdi er ikke en gyldig UUID.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`403`})}),_jsx(_components.td,{children:`Adgang nægtet — din API-nøgle har ikke adgang til denne handling.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`404`})}),_jsx(_components.td,{children:`Tiden blev ikke fundet.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`500`})}),_jsx(_components.td,{children:`Intern serverfejl.`})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Hent tid","description":"Hent en tid til blodprøvetagning via ID","api":"GET https://anivahealth.com/api/v1/appointments/{id}","href":"/da/api/appointments/get-appointment"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Hent en enkelt tid til blodprøvetagning ud fra dens UUID, inklusive den indlejrede patientprofil. Brug dette endpoint til at tjekke tidens status, bekræfte bookingdetaljer eller hente de tilknyttede profildata.`}),`\n`,_jsxs(_components.p,{children:[`Kræver scopet `,_jsx(_components.code,{children:`appointments_view`}),` eller `,_jsx(_components.code,{children:`appointments_schedule`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`forespørgsel`,children:`Forespørgsel`}),`\n`,_jsx(Heading,{level:`3`,id:`stiparametre`,children:`Stiparametre`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`Unikt ID (UUID) for den tid, der skal hentes.`})}),`\n`,_jsx(Heading,{level:`2`,id:`svar`,children:`Svar`}),`\n`,_jsxs(_components.p,{children:[`Ved succes returnerer API’et `,_jsx(_components.code,{children:`200 OK`}),` med tiden og dens indlejrede profil.`]}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,required:true,id:`param-id-1`,children:_jsx(_components.p,{children:`Unikt id for tiden (UUID).`})}),`\n`,_jsx(ResponseField,{name:`profile_id`,type:`string`,required:true,id:`param-profile-id`,children:_jsx(_components.p,{children:`UUID for den profil, denne tid tilhører.`})}),`\n`,_jsx(ResponseField,{name:`location_id`,type:`string`,id:`param-location-id`,children:_jsx(_components.p,{children:`UUID for det teststed, hvor blodprøvetagningen finder sted.`})}),`\n`,_jsx(ResponseField,{name:`scheduled_at`,type:`string`,id:`param-scheduled-at`,children:_jsxs(_components.p,{children:[`Planlagt dato og tidspunkt for tiden i UTC (ISO 8601 med `,_jsx(_components.code,{children:`Z`}),`-suffiks, f.eks.\n`,_jsx(_components.code,{children:`2026-05-15T10:30:00Z`}),`). Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,required:true,id:`param-status`,children:_jsxs(_components.p,{children:[`Aktuel status for tiden. En af `,_jsx(_components.code,{children:`pending`}),`, `,_jsx(_components.code,{children:`confirmed`}),`, `,_jsx(_components.code,{children:`blood_drawn`}),` eller `,_jsx(_components.code,{children:`cancelled`}),`.\nFremdriften i laboratorieresultaterne udledes fra `,_jsx(_components.a,{href:`/da/api/appointments/get-results`,children:`Hent resultater`}),`;\nmere detaljeret forsendelsesfremdrift fra hvert element i det indlejrede `,_jsx(_components.code,{children:`shipments`}),`-array (se nedenfor)\nvidere til `,_jsx(_components.a,{href:`/da/api/shipments/get-shipment`,children:`Hent forsendelse`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`cancellation_reason`,type:`string`,id:`param-cancellation-reason`,children:_jsxs(_components.p,{children:[`Fritekstårsag registreret ved aflysning af tiden (f.eks. udeblivelse, sen aflysning,\n‘Failed. Repeat required’). `,_jsx(_components.code,{children:`null`}),`, medmindre `,_jsx(_components.code,{children:`status`}),` er `,_jsx(_components.code,{children:`cancelled`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`results_ready_emails`,type:`string[]`,required:true,id:`param-results-ready-emails`,children:_jsxs(_components.p,{children:[`Adresser med små bogstaver, som hver modtager én e-mail, når alle laboratorieresultater er endelige. Tom, når funktionen er slået fra. Se\n`,_jsx(_components.a,{href:`/da/concepts/results#e-mails-nar-resultater-er-klar`,children:`E-mails når resultater er klar`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`draw_method`,type:`string`,required:true,id:`param-draw-method`,children:_jsxs(_components.p,{children:[`Hvordan blodet tages: `,_jsx(_components.code,{children:`capillary`}),` (fingerspids eller overarm i mikrorør) eller `,_jsx(_components.code,{children:`venous`}),` (fra venen\ni prøveglas). Det er den metode, tiden angiver, ellers `,_jsx(_components.code,{children:`default_draw_method`}),` for dens\n`,_jsx(_components.a,{href:`/da/concepts/locations`,children:`lokation`}),`. Efter blodprøvetagningen er det den metode, der blev brugt.`]})}),`\n`,_jsx(ResponseField,{name:`created_at`,type:`string`,required:true,id:`param-created-at`,children:_jsx(_components.p,{children:`ISO 8601-tidsstempel for, hvornår tiden blev oprettet.`})}),`\n`,_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at`,children:_jsxs(_components.p,{children:[`ISO 8601-tidsstempel for den seneste opdatering. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),`\n`,_jsxs(ResponseField,{name:`profile`,type:`object`,required:true,id:`param-profile`,children:[_jsx(_components.p,{children:`Den patientprofil, der er knyttet til denne tid.`}),_jsxs(Expandable,{title:`Profil`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-2`,children:_jsx(_components.p,{children:`Unikt id for profilen (UUID).`})}),_jsx(ResponseField,{name:`handle`,type:`string`,id:`param-handle`,children:_jsxs(_components.p,{children:[`Profil-handle eller brugernavn. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`first_name`,type:`string`,id:`param-first-name`,children:_jsxs(_components.p,{children:[`Fornavn. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`last_name`,type:`string`,id:`param-last-name`,children:_jsxs(_components.p,{children:[`Efternavn. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`email`,type:`string`,id:`param-email`,children:_jsxs(_components.p,{children:[`E-mailadresse. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`phone`,type:`string`,id:`param-phone`,children:_jsxs(_components.p,{children:[`Telefonnummer i E.164-format. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`sex`,type:`integer`,id:`param-sex`,children:_jsxs(_components.p,{children:[`Biologisk køn efter ISO/IEC 5218. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`date_of_birth`,type:`string`,id:`param-date-of-birth`,children:_jsxs(_components.p,{children:[`Fødselsdato i formatet `,_jsx(_components.code,{children:`YYYY-MM-DD`}),`. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`height`,type:`number`,id:`param-height`,children:_jsxs(_components.p,{children:[`Højde i centimeter. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`weight`,type:`number`,id:`param-weight`,children:_jsxs(_components.p,{children:[`Vægt i kilogram. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`language`,type:`string`,id:`param-language`,children:_jsxs(_components.p,{children:[`Foretrukket sprog: en af de 32 koder i `,_jsx(_components.a,{href:`/da/api/profiles/create-profile`,children:`Opret profil`}),`.`]})}),_jsx(ResponseField,{name:`transactional_emails_enabled`,type:`boolean`,id:`param-transactional-emails-enabled`,children:_jsxs(_components.p,{children:[`Om denne profil modtager transaktionelle (programmatiske) e-mails. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at-1`,children:_jsx(_components.p,{children:`ISO 8601-tidsstempel for, hvornår profilen blev oprettet.`})}),_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at-1`,children:_jsxs(_components.p,{children:[`ISO 8601-tidsstempel for den seneste opdatering af profilen. Kan være `,_jsx(_components.code,{children:`null`}),`.`]})})]})]}),`\n`,_jsxs(ResponseField,{name:`panels`,type:`AppointmentPanel[]`,required:true,id:`param-panels`,children:[_jsxs(_components.p,{children:[`Paneler, der i øjeblikket er tilknyttet denne tid. Inkluderer ikke annullerede tilknytninger. Slå\npaneldetaljer (navn, biomarkører) op via `,_jsx(_components.a,{href:`/da/api/panels/list-panels`,children:`Vis paneler`}),`.`]}),_jsxs(Expandable,{title:`Felter for tilknyttet panel`,children:[_jsx(ResponseField,{name:`panel_id`,type:`string`,id:`param-panel-id`,children:_jsxs(_components.p,{children:[`Panelets UUID — krydsreferer med `,_jsx(_components.a,{href:`/da/api/panels/list-panels`,children:`Vis paneler`}),`.`]})}),_jsx(ResponseField,{name:`added_at`,type:`string`,id:`param-added-at`,children:_jsx(_components.p,{children:`ISO 8601-tidsstempel for, hvornår panelet første gang blev knyttet til denne tid.`})})]})]}),`\n`,_jsxs(ResponseField,{name:`individual_biomarkers`,type:`AppointmentIndividualBiomarker[]`,required:true,id:`param-individual-biomarkers`,children:[_jsxs(_components.p,{children:[`À la carte-biomarkører knyttet til denne tid uden for et panel (se `,_jsx(_components.a,{href:`/da/api/appointments/add-individual-biomarkers`,children:`Tilføj valgfrie\nbiomarkører`}),`). Krydsreferer hvert `,_jsx(_components.code,{children:`biomarker_id`}),`\nmed `,_jsx(_components.a,{href:`/da/api/biomarkers/list-biomarkers`,children:`Vis biomarkører`}),` for visningsdata.`]}),_jsxs(Expandable,{title:`Felter for individuel biomarkør`,children:[_jsx(ResponseField,{name:`biomarker_id`,type:`integer`,id:`param-biomarker-id`,children:_jsxs(_components.p,{children:[`Biomarkør-id — krydsreferer med\n`,_jsx(_components.a,{href:`/da/api/biomarkers/list-biomarkers`,children:`Vis biomarkører`}),`.`]})}),_jsx(ResponseField,{name:`added_at`,type:`string`,id:`param-added-at-1`,children:_jsx(_components.p,{children:`ISO 8601-tidsstempel for, hvornår biomarkøren første gang blev knyttet til denne tid.`})})]})]}),`\n`,_jsxs(ResponseField,{name:`shipments`,type:`AppointmentShipmentLink[]`,required:true,id:`param-shipments`,children:[_jsxs(_components.p,{children:[`Forsendelser knyttet til denne tid, ældste tilknytning først. Tomt array, når ingen forsendelser er\ntilknyttet. Slå hvert `,_jsx(_components.code,{children:`id`}),` op via `,_jsx(_components.a,{href:`/da/api/shipments/get-shipment`,children:`Hent forsendelse`}),` for at få det\nfulde payload for forsendelsen (status, sporingsnummer, statusopdateringer osv.).`]}),_jsxs(Expandable,{title:`Felter for forsendelseslink`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-3`,children:_jsxs(_components.p,{children:[`Forsendelsens reference-id — krydsreferer med\n`,_jsx(_components.a,{href:`/da/api/shipments/get-shipment`,children:`Hent forsendelse`}),`.`]})}),_jsx(ResponseField,{name:`added_at`,type:`string`,id:`param-added-at-2`,children:_jsx(_components.p,{children:`ISO 8601-tidsstempel for, hvornår forsendelsen første gang blev knyttet til denne tid.`})})]})]}),`\n`,_jsx(ResponseField,{name:`lab_codes`,type:`string[]`,required:true,id:`param-lab-codes`,children:_jsxs(_components.p,{children:[`Laboratoriekoder (stregkoder på prøveglas) registreret for denne tid i scanningsrækkefølge. Tom, indtil blodprøvetagningen\ner bekræftet. En venøs blodprøvetagning har én kode trykt på hvert prøveglas; en kapillær blodprøvetagning har én\nkode pr. mikrorør. Resultater og dokumenter i `,_jsx(_components.a,{href:`/da/api/appointments/get-results`,children:`Hent resultater`}),` henviser\ntil disse koder via `,_jsx(_components.code,{children:`lab_code`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`gentagne-kald`,children:`Gentagne kald`}),`\n`,_jsxs(_components.p,{children:[`Aniva gemmer svaret fra dette endpoint i 15 minutter for hver API-nøgle. Et gentaget kald inden for\ndette tidsrum får det gemte svar, så længe tiden er uændret. Efter en ændring får du et nyt\nsvar. Headerne `,_jsx(_components.code,{children:`Cache-Status`}),` og `,_jsx(_components.code,{children:`Age`}),` viser, at svaret er\ngemt, og hvor gammelt det er.`]}),`\n`,_jsxs(_components.p,{children:[`For at få besked om en ændring med det samme kan du abonnere på webhook-hændelserne `,_jsx(_components.code,{children:`appointment.created`}),`, `,_jsx(_components.code,{children:`appointment.rescheduled`}),` og hændelsen for hver status, for eksempel `,_jsx(_components.code,{children:`appointment.confirmed`}),`.\nSe `,_jsx(_components.a,{href:`/da/concepts/webhooks#gentagne-laesninger`,children:`Gentagne læsninger`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`fejlsvar`,children:`Fejlsvar`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Beskrivelse`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsx(_components.td,{children:`Ugyldigt ID-format — den angivne værdi er ikke en gyldig UUID.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`403`})}),_jsx(_components.td,{children:`Adgang nægtet — din API-nøgle har ikke adgang til denne handling.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`404`})}),_jsx(_components.td,{children:`Tiden blev ikke fundet.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`500`})}),_jsx(_components.td,{children:`Intern serverfejl.`})]})]})]}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --url`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://anivahealth.com/api/v1/appointments/c9f3e2a1-7d6b-4c5e-b3a2-1f0e9d8c7b6a`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'x-api-key: YOUR_API_KEY'`})]}),`\n`]})})})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200`,numberOfLines:`47`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`47`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"c9f3e2a1-7d6b-4c5e-b3a2-1f0e9d8c7b6a\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"profile_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"a3f1c2d4-8b7e-4f2a-9c1d-2e3f4a5b6c7d\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"location_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"b7e2d1f5-3c4a-4e8b-a2f1-9d0c1e2f3a4b\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"scheduled_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-05-15T10:30:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"confirmed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"cancellation_reason\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"results_ready_emails\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"draw_method\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"venous\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-04-01T09:45:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"profile\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"a3f1c2d4-8b7e-4f2a-9c1d-2e3f4a5b6c7d\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"handle\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"first_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Maria\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Schmidt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"maria.schmidt@example.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"phone\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"+4930123456789\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sex\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date_of_birth\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1985-03-22\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"height\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`168`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"weight\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`65`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"language\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"de\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"transactional_emails_enabled\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-04-01T09:14:32Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"panels\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"panel_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"f1c2d4a3-7b8e-4f2a-9c1d-2e3f4a5b6c7d\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"added_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-04-01T09:50:00Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"individual_biomarkers\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"biomarker_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`42`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"added_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-04-01T09:52:00Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"shipments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"P2611194821\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"added_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-04-15T07:00:00Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"lab_codes\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: []`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Invalid appointment ID format\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`404`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Appointment not found\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Hent tid","description":"Hent en tid til blodprøvetagning via ID","api":"GET https://anivahealth.com/api/v1/appointments/{id}","href":"/da/api/appointments/get-appointment"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Forespørgsel","slug":"forespørgsel","depth":2,"children":[{"title":"Stiparametre","slug":"stiparametre","depth":3,"children":[]}]},{"title":"Svar","slug":"svar","depth":2,"children":[]},{"title":"Gentagne kald","slug":"gentagne-kald","depth":2,"children":[]},{"title":"Fejlsvar","slug":"fejlsvar","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --request\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> GET\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --url\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> https://anivahealth.com/api/v1/appointments/c9f3e2a1-7d6b-4c5e-b3a2-1f0e9d8c7b6a\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'x-api-key: YOUR_API_KEY'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"200","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"47\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"c9f3e2a1-7d6b-4c5e-b3a2-1f0e9d8c7b6a\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"profile_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"a3f1c2d4-8b7e-4f2a-9c1d-2e3f4a5b6c7d\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"location_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"b7e2d1f5-3c4a-4e8b-a2f1-9d0c1e2f3a4b\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"scheduled_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-05-15T10:30:00Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"confirmed\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"cancellation_reason\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"results_ready_emails\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"draw_method\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"venous\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-04-01T09:45:00Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"profile\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"a3f1c2d4-8b7e-4f2a-9c1d-2e3f4a5b6c7d\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"handle\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"first_name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Maria\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"last_name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Schmidt\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"maria.schmidt@example.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"phone\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"+4930123456789\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"sex\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">2\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"date_of_birth\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"1985-03-22\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"height\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">168\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"weight\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">65\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"language\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"de\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"transactional_emails_enabled\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-04-01T09:14:32Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"panels\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"panel_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"f1c2d4a3-7b8e-4f2a-9c1d-2e3f4a5b6c7d\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"added_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-04-01T09:50:00Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"individual_biomarkers\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"biomarker_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">42\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"added_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-04-01T09:52:00Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"shipments\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"P2611194821\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"added_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-04-15T07:00:00Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"lab_codes\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: []\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Invalid appointment ID format\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"404","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Appointment not found\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Hent tid","path":"/api/v1/appointments/{id}","servers":[{"url":"https://anivahealth.com"}],"method":"get","request":{"security":[{"title":"API Key Auth","parameters":{"header":{"x-api-key":{"type":"apiKey"}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{"id":{"schema":[{"type":"string","description":"Unikt ID (UUID) for den tid, der skal hentes.","required":true}]}}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"id":[{"type":"string","description":"Unikt id for tiden (UUID).","required":true}],"profile_id":[{"type":"string","description":"UUID for den profil, denne tid tilhører.","required":true}],"location_id":[{"type":"string","description":"UUID for det teststed, hvor blodprøvetagningen finder sted."}],"scheduled_at":[{"type":"string","description":"Planlagt dato og tidspunkt for tiden i UTC (ISO 8601 med `Z` -suffiks, f.eks. `2026-05-15T10:30:00Z` ). Kan være `null` ."}],"status":[{"type":"string","description":"Aktuel status for tiden. En af `pending` , `confirmed` , `blood_drawn` eller `cancelled` . Fremdriften i laboratorieresultaterne udledes fra Hent resultater ; mere detaljeret forsendelsesfremdrift fra hvert element i det indlejrede `shipments` -array (se nedenfor) videre til Hent forsendelse .","required":true}],"cancellation_reason":[{"type":"string","description":"Fritekstårsag registreret ved aflysning af tiden (f.eks. udeblivelse, sen aflysning, ‘Failed. Repeat required’). `null` , medmindre `status` er `cancelled` ."}],"results_ready_emails":[{"type":"array","items":[{"type":"string"}],"description":"Adresser med små bogstaver, som hver modtager én e-mail, når alle laboratorieresultater er endelige. Tom, når funktionen er slået fra. Se E-mails når resultater er klar .","required":true}],"draw_method":[{"type":"string","description":"Hvordan blodet tages: `capillary` (fingerspids eller overarm i mikrorør) eller `venous` (fra venen i prøveglas). Det er den metode, tiden angiver, ellers `default_draw_method` for dens lokation . Efter blodprøvetagningen er det den metode, der blev brugt.","required":true}],"created_at":[{"type":"string","description":"ISO 8601-tidsstempel for, hvornår tiden blev oprettet.","required":true}],"updated_at":[{"type":"string","description":"ISO 8601-tidsstempel for den seneste opdatering. Kan være `null` ."}],"profile":[{"type":"object","properties":{"id":[{"type":"string","description":"Unikt id for profilen (UUID)."}],"handle":[{"type":"string","description":"Profil-handle eller brugernavn. Kan være `null` ."}],"first_name":[{"type":"string","description":"Fornavn. Kan være `null` ."}],"last_name":[{"type":"string","description":"Efternavn. Kan være `null` ."}],"email":[{"type":"string","description":"E-mailadresse. Kan være `null` ."}],"phone":[{"type":"string","description":"Telefonnummer i E.164-format. Kan være `null` ."}],"sex":[{"type":"integer","description":"Biologisk køn efter ISO/IEC 5218. Kan være `null` ."}],"date_of_birth":[{"type":"string","description":"Fødselsdato i formatet `YYYY-MM-DD` . Kan være `null` ."}],"height":[{"type":"number","description":"Højde i centimeter. Kan være `null` ."}],"weight":[{"type":"number","description":"Vægt i kilogram. Kan være `null` ."}],"language":[{"type":"string","description":"Foretrukket sprog: en af de 32 koder i Opret profil ."}],"transactional_emails_enabled":[{"type":"boolean","description":"Om denne profil modtager transaktionelle (programmatiske) e-mails. Kan være `null` ."}],"created_at":[{"type":"string","description":"ISO 8601-tidsstempel for, hvornår profilen blev oprettet."}],"updated_at":[{"type":"string","description":"ISO 8601-tidsstempel for den seneste opdatering af profilen. Kan være `null` ."}]},"description":"Den patientprofil, der er knyttet til denne tid.","required":true}],"panels":[{"type":"array","items":[{"type":"object","properties":{"panel_id":[{"type":"string","description":"Panelets UUID — krydsreferer med Vis paneler ."}],"added_at":[{"type":"string","description":"ISO 8601-tidsstempel for, hvornår panelet første gang blev knyttet til denne tid."}]}}],"description":"Paneler, der i øjeblikket er tilknyttet denne tid. Inkluderer ikke annullerede tilknytninger. Slå paneldetaljer (navn, biomarkører) op via Vis paneler .","required":true}],"individual_biomarkers":[{"type":"array","items":[{"type":"object","properties":{"biomarker_id":[{"type":"integer","description":"Biomarkør-id — krydsreferer med Vis biomarkører ."}],"added_at":[{"type":"string","description":"ISO 8601-tidsstempel for, hvornår biomarkøren første gang blev knyttet til denne tid."}]}}],"description":"À la carte-biomarkører knyttet til denne tid uden for et panel (se Tilføj valgfrie biomarkører ). Krydsreferer hvert `biomarker_id` med Vis biomarkører for visningsdata.","required":true}],"shipments":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"string","description":"Forsendelsens reference-id — krydsreferer med Hent forsendelse ."}],"added_at":[{"type":"string","description":"ISO 8601-tidsstempel for, hvornår forsendelsen første gang blev knyttet til denne tid."}]}}],"descripti
[...]
